### Function

# Gtk show_uri_full

#### Declaration [src]

    void
    gtk_show_uri_full (
      GtkWindow* parent,
      const char* uri,
      guint32 timestamp,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

This function launches the default application for showing a given uri.

The `callback` will be called when the launch is completed. It should call gtk_show_uri_full_finish() to obtain the result.

This is the recommended call to be used as it passes information necessary for sandbox helpers to parent their dialogs properly.

#### Parameters

`parent` | `GtkWindow`
| Parent window.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`uri` | `const char*`
| The uri to show.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`timestamp` | `guint32`
| Timestamp from the event that triggered this call, or `GDK_CURRENT_TIME`.
`cancellable` | `GCancellable*`
| A `GCancellable` to cancel the launch.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A callback to call when the action is complete.
`user_data` | `gpointer`
| Data to pass to `callback`.